curl --request GET \
--url https://api.deck.co/v2/event-destinations/{destination_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.deck.co/v2/event-destinations/{destination_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.deck.co/v2/event-destinations/{destination_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "evtd_AbC123xYz456",
"object": "<string>",
"name": "<string>",
"status": "<string>",
"type": "webhook",
"events": [
"<string>"
],
"created_at": "2026-08-24T12:00:00Z",
"updated_at": "2026-08-24T12:00:00Z",
"request_id": "<string>",
"test_endpoint": {
"inspect_url": "<string>"
},
"webhook": {
"url": "<string>"
},
"aws_sqs": {
"queue_url": "<string>"
},
"aws_kinesis": {
"stream_name": "<string>",
"region": "<string>"
},
"aws_s3": {
"bucket": "<string>",
"region": "<string>"
},
"gcp_pubsub": {
"project_id": "<string>",
"topic": "<string>"
},
"rabbitmq": {
"exchange": "<string>",
"server_url": "<string>"
},
"azure_servicebus": {
"name": "<string>"
},
"hookdeck": {}
}{
"errors": {},
"type": "<string>",
"title": "<string>",
"status": 123,
"traceId": "<string>"
}{
"errors": [
{
"type": "<string>",
"code": "<string>",
"message": "<string>",
"field": "<string>"
}
],
"request_id": "<string>"
}{
"errors": [
{
"type": "<string>",
"code": "<string>",
"message": "<string>",
"field": "<string>"
}
],
"request_id": "<string>"
}{
"errors": [
{
"type": "<string>",
"code": "<string>",
"message": "<string>",
"field": "<string>"
}
],
"request_id": "<string>"
}{
"errors": [
{
"type": "<string>",
"code": "<string>",
"message": "<string>",
"field": "<string>"
}
],
"request_id": "<string>"
}{
"errors": [
{
"type": "<string>",
"code": "<string>",
"message": "<string>",
"field": "<string>"
}
],
"request_id": "<string>"
}Retrieve an event destination
Returns a single event destination by ID.
Authorizations
Secret key (sk_live_...)
Path Parameters
Unique identifier for the event destination (prefixed with evtd_).
^evtd_"evtd_AbC123xYz456"
Response
OK
An event destination object representing an endpoint that receives platform events.
Unique identifier for the event destination, prefixed with evtd_.
^evtd_"evtd_AbC123xYz456"
Always event_destination.
Display name for the event destination.
Destination status: pending_verification, active, or inactive.
Destination type. The endpoint configuration is returned under a property whose name equals this value (for example, a webhook destination returns a webhook object).
webhook, aws_sqs, aws_kinesis, aws_s3, gcp_pubsub, rabbitmq, azure_servicebus, hookdeck Event types this destination is subscribed to.
ISO 8601 timestamp of when the resource was created.
"2026-08-24T12:00:00Z"
ISO 8601 timestamp of when the resource was last updated.
"2026-08-24T12:00:00Z"
Unique identifier for the API request. Include this when contacting support.
Present when the destination is a webhook backed by a disposable Hookdeck Console test endpoint created in the Console. Read-only.
Show child attributes
Show child attributes
Configuration returned for a webhook destination (credentials are never returned).
Show child attributes
Show child attributes
Configuration returned for a aws_sqs destination (credentials are never returned).
Show child attributes
Show child attributes
Configuration returned for a aws_kinesis destination (credentials are never returned).
Show child attributes
Show child attributes
Configuration returned for a aws_s3 destination (credentials are never returned).
Show child attributes
Show child attributes
Configuration returned for a gcp_pubsub destination (credentials are never returned).
Show child attributes
Show child attributes
Configuration returned for a rabbitmq destination (credentials are never returned).
Show child attributes
Show child attributes
Configuration returned for a azure_servicebus destination (credentials are never returned).
Show child attributes
Show child attributes
Configuration returned for a hookdeck destination (credentials are never returned).
Was this page helpful?